%define upstream_name	 Date-Manip
%define upstream_version 6.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} upstream_name for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Inter) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch:  noarch

Obsoletes:  perl-DateManip < 5.46
Provides:   perl-DateManip < 5.46

%{?perl_default_filter}

%description
This is a set of routines designed to make any common date/time
manipulation easy to do. Operations such as comparing two times,
calculating a time a given amount of time from another, or parsing
international times are all easily done.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Date

%changelog
* Fri Jan 24 2025 tv <tv> 6.960.0-1.mga10
+ Revision: 2141529
- update to 6.96

* Wed Mar 06 2024 tv <tv> 6.950.0-1.mga10
+ Revision: 2047940
- update to 6.95

* Wed Jan 10 2024 tv <tv> 6.940.0-1.mga10
+ Revision: 2029441
- update to 6.94

* Mon Dec 04 2023 tv <tv> 6.930.0-1.mga10
+ Revision: 2012953
- update to 6.93

* Tue Aug 29 2023 tv <tv> 6.920.0-1.mga10
+ Revision: 1980956
- update to 6.92

* Mon Dec 05 2022 tv <tv> 6.900.0-1.mga9
+ Revision: 1918106
- update to 6.90

* Mon Sep 05 2022 tv <tv> 6.890.0-1.mga9
+ Revision: 1884070
- update to 6.89

* Sun Jun 05 2022 tv <tv> 6.880.0-1.mga9
+ Revision: 1861262
- update to 6.88

* Mon Mar 21 2022 umeabot <umeabot> 6.860.0-2.mga9
+ Revision: 1815499
- Mageia 9 Mass Rebuild

* Wed Nov 17 2021 tv <tv> 6.860.0-1.mga9
+ Revision: 1757518
- update to 6.86

* Wed Mar 03 2021 tv <tv> 6.850.0-1.mga9
+ Revision: 1696901
- update to 6.85
- update to 6.83

* Wed Jun 03 2020 tv <tv> 6.820.0-1.mga8
+ Revision: 1589871
- update to 6.82

* Tue Mar 03 2020 tv <tv> 6.810.0-1.mga8
+ Revision: 1553341
- update to 6.81

* Tue Feb 18 2020 umeabot <umeabot> 6.790.0-2.mga8
+ Revision: 1539219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 03 2019 tv <tv> 6.790.0-1.mga8
+ Revision: 1464115
- update to 6.79

* Sat Aug 31 2019 tv <tv> 6.780.0-1.mga8
+ Revision: 1435851
- update to 6.78

* Sat Jun 29 2019 shlomif <shlomif> 6.770.0-1.mga8
+ Revision: 1415497
- update to 6.77

* Fri Mar 01 2019 tv <tv> 6.760.0-1.mga7
+ Revision: 1370626
- update to 6.76

* Tue Dec 04 2018 tv <tv> 6.750.0-1.mga7
+ Revision: 1338242
- update to 6.75

* Sat Dec 01 2018 tv <tv> 6.740.0-1.mga7
+ Revision: 1337043
- update to 6.74

* Thu Sep 20 2018 umeabot <umeabot> 6.730.0-2.mga7
+ Revision: 1282643
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 tv <tv> 6.730.0-1.mga7
+ Revision: 1256033
- update to 6.73

* Thu Jun 07 2018 tv <tv> 6.720.0-1.mga7
+ Revision: 1235133
- update to 6.72

* Sat Jun 02 2018 tv <tv> 6.710.0-1.mga7
+ Revision: 1233634
- update to 6.71

* Sat Mar 03 2018 tv <tv> 6.700.0-1.mga7
+ Revision: 1206276
- update to 6.70

* Mon Oct 02 2017 tv <tv> 6.600.0-2.mga7
+ Revision: 1163868
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 6.600.0-1.mga7
+ Revision: 1154328
- new release

* Sat Jun 18 2016 pterjan <pterjan> 6.530.0-2.mga6
+ Revision: 1025028
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 6.530.0-1.mga6
+ Revision: 989821
- update to 6.53

* Sat Jan 16 2016 shlomif <shlomif> 6.520.0-1.mga6
+ Revision: 923747
- update to 6.52

* Sun Sep 06 2015 sander85 <sander85> 6.510.0-1.mga6
+ Revision: 873462
- update to 6.51

* Sun Jul 05 2015 sander85 <sander85> 6.500.0-1.mga6
+ Revision: 850980
- update to 6.50

* Wed Oct 15 2014 umeabot <umeabot> 6.470.0-4.mga5
+ Revision: 749551
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 6.470.0-3.mga5
+ Revision: 735474
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.470.0-2.mga5
+ Revision: 684261
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 6.470.0-1.mga5
+ Revision: 671366
- update to 6.47

* Wed Jul 09 2014 sander85 <sander85> 6.460.0-1.mga5
+ Revision: 650884
- update to 6.46

* Fri Jun 06 2014 jquelin <jquelin> 6.450.0-2.mga5
+ Revision: 633930
- perl 5.20 rebuild

* Thu Jun 05 2014 sander85 <sander85> 6.450.0-1.mga5
+ Revision: 633477
- update to 6.45

* Wed Jun 04 2014 sander85 <sander85> 6.440.0-1.mga5
+ Revision: 633039
- update to 6.44

* Thu Mar 13 2014 jquelin <jquelin> 6.430.0-1.mga5
+ Revision: 602924
- update to 6.43

* Sat Feb 08 2014 sander85 <sander85> 6.420.0-1.mga5
+ Revision: 586284
- update to 6.42

* Sat Oct 19 2013 umeabot <umeabot> 6.410.0-2.mga4
+ Revision: 534064
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 6.410.0-1.mga4
+ Revision: 476178
- update to 6.41

* Fri Jun 07 2013 jquelin <jquelin> 6.400.0-1.mga4
+ Revision: 439021
- update to 6.40

* Sun Jun 02 2013 jquelin <jquelin> 6.370.0-4.mga4
+ Revision: 434473
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 6.370.0-3.mga3
+ Revision: 403811
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.370.0-2.mga3
+ Revision: 365543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.370.0-1.mga3
+ Revision: 342075
- update to 6.37

* Wed Nov 07 2012 jquelin <jquelin> 6.360.0-1.mga3
+ Revision: 316046
- update to 6.36

* Tue Nov 06 2012 jquelin <jquelin> 6.340.0-2.mga3
+ Revision: 314946
- perl 5.16.2 shebang rebuild

* Thu Sep 27 2012 jquelin <jquelin> 6.340.0-1.mga3
+ Revision: 298732
- update to 6.34

* Tue Jun 05 2012 jquelin <jquelin> 6.320.0-1.mga3
+ Revision: 254867
- update to 6.32

* Mon Mar 05 2012 jquelin <jquelin> 6.310.0-1.mga2
+ Revision: 218705
- update to 6.31

* Mon Jan 16 2012 takashi <takashi> 6.300.0-1.mga2
+ Revision: 196713
- updated to 6.30

* Thu Sep 01 2011 jquelin <jquelin> 6.250.0-1.mga2
+ Revision: 137582
- update to 6.25

* Fri Jun 17 2011 jquelin <jquelin> 6.240.0-1.mga2
+ Revision: 108824
- update to 6.24

* Tue Apr 19 2011 jquelin <jquelin> 6.230.0-1.mga1
+ Revision: 88694
- update to 6.23

* Wed Mar 09 2011 jquelin <jquelin> 6.220.0-1.mga1
+ Revision: 66949
- update to 6.22
+ dmorgan <dmorgan>
- Fix buildrequire

* Sun Jan 30 2011 dmorgan <dmorgan> 6.210.0-1.mga1
+ Revision: 44783
- New version

* Sat Jan 22 2011 jquelin <jquelin> 6.200.0-1.mga1
+ Revision: 31887
- mageia rebuild
- imported package perl-Date-Manip

